<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.miaxis.question.mapper.QuestionVersionMapper">

    <resultMap type="QuestionVersion" id="QuestionVersionResult">
        <result property="id"    column="id"    />
        <result property="versionNum"    column="version_num"    />
        <result property="downPath"    column="down_path"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectQuestionVersionVo">
        select * from question_version
    </sql>

    <select id="selectQuestionVersionList" parameterType="QuestionVersion" resultMap="QuestionVersionResult">
        <include refid="selectQuestionVersionVo"/>
        <where>
            <if test="versionNum != null  and versionNum != ''"> and version_num = #{versionNum}</if>
            <if test="downPath != null  and downPath != ''"> and down_path = #{downPath}</if>
        </where>
    </select>



</mapper>
